Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454890 - OLPC: kill xulrunner deps on libgnome/libgnomevfs
Summary: OLPC: kill xulrunner deps on libgnome/libgnomevfs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora OLPC
Classification: Retired
Component: xulrunner
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FedoraOLPCDelta
TreeView+ depends on / blocked
 
Reported: 2008-07-10 15:55 UTC by Daniel Drake
Modified: 2008-09-17 16:23 UTC (History)
6 users (show)

Fixed In Version: 1.9-1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-21 16:41:06 UTC


Attachments (Terms of Use)
remove deps on libgnome + gnomevfs (deleted)
2008-07-10 15:55 UTC, Daniel Drake
no flags Details | Diff

Description Daniel Drake 2008-07-10 15:55:04 UTC
Our F9 xulrunner has grown various dependencies compared to the F7 one.

Here's a patch which removes the following dependencies:
libORBit-2.so.0
libbonobo-2.so.0
libbonobo-activation.so.4
libgconf-2.so.4
libgnome-2.so.0
libgnomevfs-2.so.0
libpopt.so.0
librt.so.1

I had to add the build requirement on dbus-glib-devel because koji failed
without it: http://koji.fedoraproject.org/koji/taskinfo?taskID=706551

Here's the successfully built version:
http://koji.fedoraproject.org/koji/taskinfo?taskID=707841

Comment 1 Daniel Drake 2008-07-10 15:55:04 UTC
Created attachment 311489 [details]
remove deps on libgnome + gnomevfs

Comment 2 Daniel Drake 2008-07-10 16:02:18 UTC
Forgot to mention, once upon a time in OLPC-2 David Zeuthen did something similar:
* Tue May 16 2006 David Zeuthen <davidz@redhat.com> 1.8.0.4-0.cvs20060505.2
- Build with --disable-gnomeui --disable-gnomevfs and drop BuildRequires
- gnome-vfs2-devel, ligbnome-devel, libgnomeui-devel



Comment 3 Matěj Cepl 2008-07-14 07:13:42 UTC
Seems to be a duplicate of bug 454670, and the solution here seems to be quite
excessive IMHO (we actually want XULRunner on Fedora proper to use Gnome).

Comment 4 Tethys 2008-07-14 10:24:12 UTC
No, we *don't* want XULRunner to use Gnome. You might do. But I, as an
end user, do not. I'm all for it using Gnome features if they're available
(on my machine, they generally won't be available, on the average Fedora
user's machine, they will). But forcing an end user to have a bunch of
stuff they don't want installed, just to use a web browser? Nope. That's
a step too far. The upstream app has no such dependencies, and you shouldn't
be forcing such additional dependencies on your users.

Comment 5 Daniel Drake 2008-07-14 13:36:03 UTC
Sorry, my original report was unclear. I am only suggesting this dependency
change for the OLPC-3 branch, not F-9.

Comment 6 Simon Schampijer 2008-07-14 15:17:27 UTC
built, will be in joyride soon
http://koji.fedoraproject.org/koji/buildinfo?buildID=55946

Comment 7 Daniel Drake 2008-07-21 16:41:06 UTC
Simon fixed this, thanks.


Note You need to log in before you can comment on or make changes to this bug.